> For the complete documentation index, see [llms.txt](https://faq.finerymarkets.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://faq.finerymarkets.com/api-reference/rest-api/trading/rfq/getsettings-authorized.md).

# getSettings (authorized)

**POST /api/rfq/authorized/getSettings**

{% tabs %}
{% tab title="Payload" %}

```json
Headers:
{
EFX-Key: string
EFX-Sign: string
}
Body:
{
'clientId': int
}
```

{% endtab %}

{% tab title="200 OK" %}

<pre class="language-json"><code class="lang-json">{
'clientId': int,
<strong>'tradingEnabled': boolean,
</strong>'viewingEnabled': boolean
}
</code></pre>

{% endtab %}

{% tab title="400 Bad request" %}

```json
{
'error': int,
'errors': string
}
```

{% endtab %}
{% endtabs %}
